<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>
		<HTML>
<!-- vap-09 -->
            <HEAD>
				<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
            	<xsl:apply-templates select="META-TAGS"/>
            	<LINK REL="stylesheet" HREF="css/styles.css" TYPE="text/css" />
            </HEAD>

            <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
            <TABLE WIDTH="100%" HEIGHT="100%" BORDER="0" CELLPADDING="0" CELLSPACING="0" bgcolor="#FFFFFF">
            	<TR>
            		<TD height="129" class="top-bg" style="background-image: url('images/top_bg.jpg');">
            		<!-- TOP -->
            			<table cellspacing="0" cellpadding="0" width="100%" border="0" height="129" style="background-image: url('images/top.jpg'); background-repeat: no-repeat;">
            				<tr>
            				    <td style="padding-left: 90px;" valign="middle">
									<table cellpadding="0" cellspacing="0">
										<tr><td height="50%"></td></tr>
										<tr>
											<td>
												<table width="395" cellpadding="0" cellspacing="0">
			            							<tr>
			            							    <td width="47"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
			            								<td width="189" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
			            								<td height="78" width="1" class="v_line"></td>
			            								<td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
			            							</tr>
		            						  </table>											</td>
										</tr>
										<tr><td height="50%"></td></tr>
							  </table>            					</td>
            				</tr>
           			  </table>
            		<!-- END TOP -->            		</TD>
            	</TR>
            	<TR>
            		<TD height="31" align="center" class="menu-bg" style="background-image: url('images/menu_bg.gif');">
            		<!-- MENU -->
						<!--CALL TOP-MENU -->
						<xsl:call-template name="TOP-MENU"/>

            		<!-- END MENU -->            		</TD>
            	</TR>
            	<!-- HEADER -->
            	<TR>
            		<TD height="181" align="center" class="header" style="background-image: url('images/header_bg.gif'); background-repeat: repeat-x;"><img src="images/header.jpg"/></TD>
            	</TR>
            	<!--END HEADER -->
            	<TR>
            		<TD height="100%" valign="top"><!-- END CONTENT -->
                      <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                        <TR>
                          <TD width="134" height="100%" valign="top" style="padding: 0px 10px 0px 47px"><!-- SUBMENU -->
                              <table cellpadding="0" cellspacing="0" width="100%" align="center" summary="">
                                <xsl:call-template name="SUB-MENU"> <xsl:with-param name="pageID" select="@ID"/> </xsl:call-template>
                              </table>
                              <!-- END SUBMENU -->
                              <div style="width:134px; height:0px;"><spacer type="block" width="134" height="0" /></div></TD>
                          <TD style="width:1px;" bgcolor="#EAEAEA"><img src="" width="1" height="1" /></TD>
                          <TD height="100%" valign="top" style="padding:0px 25px 25px 25px;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                              <tr>
                                <td><table  border="0" cellspacing="0" cellpadding="0">
                                    <tr>
                                      <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                                      <td><img src="images/content_bullet.gif" width="19" height="17" hspace="10"/></td>
                                    </tr>
                                </table></td>
                              </tr>
                              <tr>
                                <td height="100%" valign="top" class="pageContent" style="padding-top:18px;"><xsl:apply-templates select="PAGE-CONTENT"/></td>
                              </tr>
                            </table>
                              <!-- CONTENT -->
                              <!-- END CONTENT -->
                          </TD>
                        </TR>
                      </table>
</TD>
            	</TR>
            	<TR>
            		<TD class="bottom_m" height="29" align="center">
            		<!-- BOTTOM-MENU -->
            			<xsl:call-template name="BOTTOM-MENU"/>			
            		<!-- END BOTTOM-MENU -->            		</TD>
            	</TR>
            	<TR>
            		<TD height="52" align="center" class="footer">
            		<!-- FOOTER -->
            			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
            		<!-- END FOOTER -->            		</TD>
            	</TR>
            </TABLE>

            </BODY>
		</HTML>
        
	</xsl:template>


	<!-- TOP-MENU -->
	<xsl:template name="TOP-MENU">
   		<table cellspacing="0" cellpadding="0" height="100%">
   			<tr>
				<xsl:apply-templates select="MENU" mode="top"/>
			</tr>
		</table>
	</xsl:template>


	<!-- SUB-MENU --> 
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
   			<xsl:choose>
   				<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
   					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
   				</xsl:when>
   				<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
   					<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
   				</xsl:when>
   				<xsl:otherwise></xsl:otherwise>
   			</xsl:choose>
	</xsl:template>
	
		<!-- BOTTOM-MENU -->
	<xsl:template name="BOTTOM-MENU">
			<xsl:apply-templates select="MENU" mode="bottom"/>		
	</xsl:template>

	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
					<a href="{@HREF}" class="abtmmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a><xsl:if test="position()!=last()"><img src="images/bullet_btm.gif" align="absmiddle" style="margin-top: 5px;"/></xsl:if>
                </xsl:when>
                <!-- when active-->
                
                <xsl:otherwise>
					<a href="{@HREF}" class="btmmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a><xsl:if test="position()!=last()"><img src="images/bullet_btm.gif" align="absmiddle" style="margin-top: 5px;"/></xsl:if>
                </xsl:otherwise>
            </xsl:choose>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>


	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
