<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xww-22 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="229" background="images/headerbg.jpg">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="229" valign="bottom" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: left;
	padding-bottom: 20px;
	padding-left: 6px;">
<!-- END LOGO -->
	<table width="250" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
          </tr>
          <tr>
            <td><div align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
          </tr>
          <tr>
            <td><div align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
          </tr>
        </table>
<!-- END LOGO -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="38" background="images/menu.jpg" style="padding-right: 20px;padding-left: 200px;">
<!-- END MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
      <tr>
	   <xsl:call-template name="TOP-MENU"/>
      </tr>
    </table>
<!-- END MENU -->
	</td>
  </tr>
  <tr>
    <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="186" height="43"><img src="images/xww_05.jpg" width="186" height="43" alt="" /></td>
        <td width="250" valign="bottom"  background="images/xww_05.jpg" style="padding-left: 10px;">
					<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header" width="250"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		  		</tr>
			</table>
		</td>
        <td align="left" background="images/xww_08.jpg"><img src="images/xww_07.jpg" width="57" height="43" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td background="images/bg.jpg" width="100%" height="100%"><table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="186" height="100%" align="right" valign="top" style="background-image: url(images/xww_18.jpg);
	background-repeat: no-repeat;
	background-position: center bottom;
	padding-bottom: 300px;"><table width="100" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img src="images/spacer.gif" width="186" height="10" /></td>
          </tr>
        </table>
		<!-- END SUBMENU -->
		  <table width="170" border="0" cellspacing="0" cellpadding="0">
         <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
          </table>
		  </td>
        <td width="100%" height="100%" valign="top"  style="padding-right: 55px; padding-left: 10px; padding-top: 20px;">
		<table width="100%" height="100%" ><tr><td name="SB_stretch" width="100%" height="100%" valign="top" class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr></table>
			<!-- END CONTENT -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td background="images/xww_21.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="223"><img src="images/xww_20.jpg" width="223" height="94" alt="" /></td>
        <td width="100%" align="left">
		<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td>
	<!-- END BOOTTOM MENU -->
			<table border="0" cellspacing="0" cellpadding="0">
              <tr>
			  <xsl:call-template name="BOTTOM-MENU"/>
			  </tr>
            </table>
<!-- END BOOTTOM MENU -->
			</td>
          </tr>
          <tr>
            <td><img src="images/spacer.gif" width="186" height="15" /></td>
          </tr>
          <tr>
            <td>
	<!-- FOOTER -->
		<div align="left" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
	<!-- END FOOTER -->
			
			</td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>


	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
  <tr>
              <td width="16" align="left"><img src="images/s01.gif" width="16" height="27" /></td>
              <td width="133" align="right" background="images/sbg.gif" class="asubmenu">
			     <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			  </td>
              <td width="21" align="right"><img src="images/s02.gif" width="21" height="27" /></td>
            </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
            <tr>
              <td width="16" align="left"><img src="images/sub01.gif" width="16" height="27" /></td>
              <td background="images/sbubg.gif" align="right">
			    <a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
			  </td>
              <td width="21" align="right"><img src="images/sub02.gif" width="21" height="27" /></td>
            </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
            <tr>
              <td colspan="3" height="4"><img src="images/spacer.gif" width="100" height="4" /></td>
             </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
<td  align="center"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
<td  align="center"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
	       <td width="20" align="center"><img src="images/b.gif" width="1" height="17" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
